---
title: "Get Sub-Accounts"
slug: "get-sub-accounts"
updated: 2026-02-25T13:56:58Z
published: 2026-02-25T13:57:17Z
canonical: "docs.wasabi.com/get-sub-accounts"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wasabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sub-Accounts

Get/v1/sub-accounts

Read all sub-accounts within the permissions of the user.

SecurityHTTPType basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the [Authentication Guide](https://docs.wasabi.com/apidocs/wacm-connect-api-authentication).

Query parameterspageinteger

Page number

sizeinteger

Number of items per page

idinteger

Filter by Sub-Account ID

namestring

Filter by name

controlAccountIdinteger

Filter by Control Account ID

governanceAccountIdinteger

Filter by Governance Account ID

statusstring

Filter by status

Valid values[
  "ON_TRIAL",
  "PAID_ACCOUNT",
  "SUSPENDED",
  "DEACTIVATED"
]
wasabiAccountNamestring

Filter by Wasabi account name/email

wasabiAccountNumberinteger

Filter by Wasabi account number

includeDeletedboolean

Include deleted sub-accounts

includeKeysboolean

Include access and secret keys in response

Responses200

Successfully retrieved sub-accounts

<select class='api-response-data' aria-label='Media type'><option value='7d257bdd-cee2-4d4c-b5c9-6578fc65277c'>application/json</option>
</select>

```json
{
  "success": "True",
  "data": {
    "items": [
      {
        "id": "54321",
        "name": "Sample Sub-Account",
        "partnerType": "SUB_ACCOUNT",
        "accountType": "Company",
        "status": "PAID_ACCOUNT",
        "creationDate": "2023-05-20T09:00:00Z",
        "contactEmail": "contact@example.com",
        "billingEmail": "billing@example.com",
        "storageQuotaType": "Soft quota",
        "accessKey": "AKIAIOSFODNN7EXAMPLE",
        "channelAccountId": "53211",
        "channelAccountName": "Sample Channel Account",
        "controlAccountId": "13337",
        "controlAccountName": "Sample Control Account",
        "governanceAccountId": "3214",
        "governanceAccountName": "Sample Governance",
        "wasabiAccountNumber": "100123456",
        "wasabiAccountName": "sample@example.com",
        "sendPasswordResetToSubAccount": "False",
        "ftpEnabled": "True",
        "activeStorage": "0.45",
        "deletedStorage": "0.05",
        "purchasedStorageTB": "2",
        "mfaEnabled": "False"
      }
    ],
    "page": "1",
    "size": "20",
    "total": "1"
  }
}
```

Expand Allobject  successboolean    
dataobject  items Array of object (SubAccountResponse)   object  idinteger    
namestring    
partnerTypestring    
accountTypestring    
statusstring    
imageUrlstring   | null  
creationDatestring  (date-time)    
address1string    
address2string    
countrystring    
citystring    
statestring    
zipstring    
mainPhonestring    
billingPhonestring    
contactEmailstring    
billingEmailstring    
businessNumberstring    
taxIdstring    
fiscalNumberstring    
vatNumberstring    
websitestring    
ssoEnabledboolean    
storageQuotaTypestring    
accessKeystring    
secretKeystring    
channelAccountIdinteger    
channelAccountNamestring    
channelAccountEmailstring    
controlAccountIdinteger    
controlAccountNamestring    
controlAccountEmailstring    
governanceAccountIdinteger    
governanceAccountNamestring    
wasabiAccountNumberinteger    
wasabiAccountNamestring    
sendPasswordResetToSubAccountboolean    
ftpEnabledboolean    
activeStoragenumber    
deletedStoragenumber    
trialQuotaTBinteger    
trialExpirationstring    
purchasedStorageTBnumber    
mfaEnabledboolean    

pageinteger    
sizeinteger    
totalinteger
